unit IntegerList;

interface

uses SysUtils,Classes,syncobjs,Windows,Messages;

type
 TIntegerList=class(tlist)
  private
   procedure putint(index:integer;theint:integer);
   function getint(index:integer):integer;
  public
   property Items[Index: Integer]: integer read Getint write Putint; default;
   function add(aitem:integer):integer;
   function Delete(Index: integer): Integer;
   function IndexOf(Item: integer): Integer;
   procedure Insert(Index: Integer; Item: integer);
   function Remove(Item:integer): Integer;
  end;

implementation

procedure TIntegerList.putint(index:integer;theint:integer);
begin
 inherited put(index,pointer(theint));
end;

function TIntegerList.getint(index:integer):integer;
begin
 result:=integer(inherited items[index]);
end;

function TIntegerList.add(aitem:integer):integer;
begin
 result:=inherited add(pointer(aitem));
end;

function TIntegerList.Delete(Index: integer): Integer;
begin
 result:=inherited remove(pointer(Index));
end;

function TIntegerList.IndexOf(Item: integer): Integer;
begin
 result:=inherited indexof(pointer(item));
end;

procedure TIntegerList.Insert(Index: Integer; Item: integer);
begin
 inherited insert(index,pointer(item));
end;


function TIntegerList.Remove(Item: integer): Integer;
begin
 Result:=inherited Remove(Pointer(Item));
end;

end.
 