unit Unit1;
{$DEFINE CALLBACK}
interface
uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, Corba,
  DrBob42_i, DrBob42_s, DrBob42_impl;

type
  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
  private
  { private declarations }
  protected
  { protected declarations }
    Rate: Rates; // skeleton object
    Account: Accounts; // skeleton object
    procedure InitCorba;
  public
  { public declarations }
  end;

var
  Form1: TForm1;

implementation
{$R *.DFM}

procedure TForm1.InitCorba;
begin
  CorbaInitialize;
  // Add CORBA server Code Here
{$IFNDEF CALLBACK}
  Rate := TRatesSkeleton.Create('Rates', TRates.Create);
  BOA.ObjIsReady(Rate as _Object);
{$ENDIF}
  Account := TAccountsSkeleton.Create('Accounts', TAccounts.Create);
  BOA.ObjIsReady(Account as _Object);
//  BOA.ImplIsReady;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  InitCorba;
end;

end.
